Subject: Re: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Ihor Radchenko <[email-masked]>
Date: Sat, 11 May 2024 18:42:10 +0000

Eli Zaretskii <[email-masked]> writes:

> The result can legitimately depend on what is inside progn, because
> what's there could affect point, and that in turn affects which line
> recenter puts on the first window line, or even if it can do that.

In my specific reproducer the point is not moved, AFAIK.

> So in this general form, the expectation is not correct.  Perhaps if
> you made it less general and more specific to what the code inside
> progn actually does, we could discuss this in a more useful manner.

The code inside progn (1) invokes approximate smooth scrolling (2)
forces the scrolling to move to the final location accurately.

The reproducer is adopted from my custom function that makes recentering
use smooth scrolling. The code started to act unpredictably from time to
time with point ending outside window boundaries after one of recent-ish
pulls from master.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>